import { world } from "@minecraft/server";
import { CAMOUFLAGE_POTION } from "../items/specific/camouflagePotion";

world.afterEvents.playerSpawn.subscribe(ev => {
    const {initialSpawn, player} = ev

    if (CAMOUFLAGE_POTION.shouldAdjustPotionDuration(initialSpawn, player)) CAMOUFLAGE_POTION.adjustPotionDuration(player)
})